Public Member Functions | Private Attributes

# AirportTileIterator Class Reference

Iterator to iterate over all tiles belonging to an airport. More...

`#include <station_base.h>`

Inheritance diagram for AirportTileIterator:

## Public Member Functions
| AirportTileIterator (const Station *st)
| Construct the iterator.
TileIterator & | operator++ ()
| Move ourselves to the next tile in the rectangle on the map.
virtual TileIterator * | Clone () const
| Allocate a new iterator that is a copy of this one.
## Private Attributes
const Station * | st
| The station the airport is a part of.

## Detailed Description

Iterator to iterate over all tiles belonging to an airport.

Definition at line 505 of file station_base.h.

## Constructor & Destructor Documentation

AirportTileIterator::AirportTileIterator | ( | const Station * | st | ) | `[inline]`

Construct the iterator.

Parameters:

  | ta | Area, i.e. begin point and width/height of to-be-iterated area.

Definition at line 514 of file station_base.h.

Referenced by Clone().

The documentation for this class was generated from the following file:

- src/station_base.h